<template>
  <v-container fluid>
    <v-layout row>
      <v-flex xs2></v-flex>
      <v-flex xs8>
          <h4>Paso 2 de 3</h4>
          <h1>¿Cúales son las opciones?</h1>
            <v-toolbar
              color="blue"
              dark
            >
              <v-toolbar-title>Opciones</v-toolbar-title>
              <v-spacer></v-spacer>
            </v-toolbar>
          <v-card class="card">    
            <v-form v-model="valid" id="options_form" v-for="(item,index) in items">
              
              <div class="option">
                <div class="form_guide">{{ item.title }}</div>
                <v-text-field
                  label="Lorem Ipsum"
                  required
                  v-model="answers[index].name"
                ></v-text-field>
              </div>

            </v-form>
            <v-btn class="add_buttom" @click="add_option()" color="white">Añadir opción</v-btn>
            <v-btn class="add_buttom" @click="delete_option()" color="white">Resetear formulario</v-btn>

          </v-card>
          <v-btn @click="submit()" large color="blue">Continuar</v-btn>
      </v-flex>
      <v-flex xs2></v-flex>
    </v-layout>
  </v-container>
</template>

<script>
  export default {
    data() {
        return {
            items: [
              { 
                title: 'Opción 1',
               },
            ],
            answers: [
              {
                name: ''
               },
            ]
        };
    },
    methods: {
      add_option () {
        this.items.push({ name: 'Opción ' + (this.items.length + 1) });
        this.answers.push({ name: ''});
      },
      delete_option () {
          let index = this.items.length-1;
          this.items = this.items.splice(0, 1);
          this.answers = this.answers.splice(0,1);
        },
      submit () {
        const axios = require('axios');

        axios.defaults.headers.post['Content-Type'] = 'application/ld+json';
        axios.defaults.baseURL = 'http://localhost:8090/questions';

        var answers = this.answers;
        answers.forEach(function(element) {
          console.log(element['name']);
        });
        var axiosObj = {
          method: "POST",
          data: JSON.stringify({
            ...window.Doodle,
            answers,
          }),
          url: "",
          headers:{
            'Content-Type': 'application/ld+json'        
          }
        };
        const self = this;
        axios(axiosObj).then(function(result) {
          self.$router.push({ name: 'Vote', params: { id : result.data.id } });
        }).catch(function(error) {
          console.log('error')
        });
      }
    }
    
  }
</script>




<style scoped>
h1 {
  padding: 25px;
}

.card {
  height: 100%;
  padding: 20px;
  margin-bottom: 15px;
}
.add_buttom {
  margin-top: 20px;
}
form {
  margin: 0 auto;
  width: 50%;
 padding:0 20px 0 20px;
}
.form_guide  {
  text-align: left;
  padding-top: 10px;
  font-size: 0.8em;
  color: #999999;
}
.option {
  padding:20px;
  border: 1px solid #e6e6e6;
  margin-top: 25px;
}
</style>
